@import url("https://fonts.googleapis.com/css2?family=Fredoka:wght@500&display=swap");
@import url("https://use.typekit.net/fvw5vty.css");
$fontFamily: "Poppins", sans-serif;
$title: "Fredoka", sans-serif;
$bgColor: #dbe3ea;
$elemBgColor: #fff;
$primary: #04bcf2;
$secondary: #7350f2;
$gray: #9b9b9b;

html,
body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  color: #222222;
}

body {
  background-color: $bgColor;
}

main {
  margin: 0 5% 0 5%;
}

a {
  text-decoration: none;
  font-family: $fontFamily;
}

hr {
  margin: 0;
  border: 0.4px solid #2313;
}

.mb {
  margin-bottom: 0.6rem;
}

.text-center {
  text-align: center;
}
a:hover {
  color: black;
}

strong,
label,
p,
li {
  font-family: $fontFamily;
}

h1,
h2,
h3 {
  color: #333;
  margin: 0;
  font-family: $title;
}
h2 {
  font-size: 30px;
}
h3 {
  background-color: #7350f2;
  color: #fff;
  padding: 10px;
  margin-top: 20px;
}
#landing-modal > div > div.update > form > div > div.update-entreprise > h3 {
  background-color: #04bcf2;
}
// ____________________Header____________________
header {
  background-color: #ffffff;
  height: 70px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px 10px;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

.navigation {
  align-self: center;
  margin-right: 28px;
  font-family: $fontFamily;
  font-weight: 600;
  font-size: 12px;
  letter-spacing: 0.6px;
  line-height: 2;
}

.nav {
  list-style: none;
  display: flex;
  justify-content: space-between;
}

.nav-link {
  color: #000000;
  margin-left: 30px;
}

.nav-link:hover {
  color: $primary;
}

.logo {
  height: 50px;
  margin-left: 25px;
}
// ____________________Index/Connexion____________________
.wrapper-form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.container-full {
  min-height: 90vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.alert {
  background-color: rgba(224, 55, 55, 0.348);
  padding: 10px;
  border-radius: 5px;
  margin-bottom: 1rem;
  text-align: center;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

.alert-ok {
  background-color: rgba(55, 224, 89, 0.348);
  padding: 10px;
  border-radius: 5px;
  margin-bottom: 1rem;
  text-align: center;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

.login-form {
  background-color: $elemBgColor;
  padding: 13px 20px 20px 20px;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  margin-top: 10px;
  margin-bottom: 10px;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

label abbr {
  position: absolute;
  right: -1em;
  color: red;
  border: none;
}

abbr {
  color: red;
}

.wrapper {
  width: 45vw;

  form {
    .form-group {
      overflow: hidden;
      margin-top: 0.875em;
    }

    .form-control {
      width: 100%;
      padding: 1em 0 12px;
      padding-left: 0;
      background: none;
      font-size: 1.2em;
      font-weight: 400;
      font-family: $title;
      border: none;
      border-bottom: 1px solid #999;
      color: rgb(119, 111, 111);

      &:focus + .separator {
        transform: scaleX(1) translateY(-2px);
        opacity: 1;
      }
    }
  }
}

.separator {
  height: 3px;
  width: 100%;
  background: linear-gradient(to right, $primary, #7350f2);
  display: block;
  transform: scaleX(0) translateY(-2px);
  transform-origin: 50%;
  opacity: 0;
  transition: all 0.3s linear;
}

* :focus {
  outline-color: transparent;
  outline-style: none;
}

.codeco {
  padding-top: 5px;
}

.btn-submit {
  color: $elemBgColor;
  background: #04bcf2;
  padding: 12px;
  font-size: 15px;
  border: 3px solid #04bcf2;
  font-family: $title;
  cursor: pointer;
  display: flex;
  justify-content: center;
}

.btn-submit:hover {
  border: 3px solid #04bcf2;
  background-color: $elemBgColor;
  color: #04bcf2;
}

.action-wrapper {
  display: flex;
  justify-content: space-around;
}

.forgot-wrapper {
  margin-top: 1rem;
  background-color: $elemBgColor;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

.forgot-text {
  font-size: 15px;
  margin-top: 0;
  margin-bottom: 0;
}
// ____________________Inscription____________________
.box-wrapper {
  display: flex;
  justify-content: space-around;
}

.heading-mb {
  margin-bottom: 1rem;
}
// ____________________Landing/Espace-client____________________
table {
  table-layout: fixed;
  border-spacing: 0;
}

.table-wrapper {
  margin-top: 1rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

thead {
  background-color: #7350f2;
}

th {
  padding: 10px;
  text-align: left;
  color: #fff;
  font-family: $title;
}

td {
  width: max-content !important;
  padding: 8px;
  text-align: left;
  color: #000000;
  font-family: $fontFamily;
  border-bottom: solid 1px $gray;
}

.event-text {
  margin: 10px;
  font-size: 12px !important;
  word-wrap: break-word;
  overflow-wrap: break-word;
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
}

.event-date {
  width: 100px !important;
}

.checked {
  width: 20px;
}

#landing-modal > div > div.update > form{
  box-shadow: none;
}

#secretbutton > p:nth-child(1) {
  margin-bottom: 0;
}

#secretbutton > p:nth-child(3) {
  margin-top: 0;
}

.action-btn {
  font-size: 12px !important;
}

.no-wrapp {
  font-size: 12px !important;
}

.event-descr {
  line-height: 1.2;
  width: 40% !important;
}

.text-content {
  font-size: 15px !important;
}

.container-full-landing {
  display: block;
  justify-content: center;
  align-items: center;
}

.alert-ok-landing {
  background-color: rgba(55, 224, 89, 0.348);
  padding: 10px;
  text-align: center;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

.alert-landing {
  background-color: rgba(224, 55, 55, 0.348);
  padding: 10px;
  text-align: center;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

.btn-logout:hover {
  color: #000000;
}

.landing-wrapper {
  padding: 0 10px 10px 10px;
  display: flex;
}

.customer-wrapper {
  display: block;
  margin-top: 1rem;
  width: 79vw;
}

#tabPasse {
  background-color: #04bcf2;
  border: 3px solid #04bcf2;
  font-size: 12px;
}
#tabPasse:hover {
  color: #04bcf2;
  background-color: #fff;
}
.list-wrapper,
.info-wrapper {
  background-color: #fff;
  box-shadow: 0px 6px 23px 0px rgb(0 0 0 / 21%);
}

.info-wrapper {
  padding: 20px 25px 25px 25px;
  height: 84vh;
  width: 360px;
}

.no-info{
  word-wrap: break-word;
  overflow-wrap: break-word;
  -webkit-hyphens: auto;
  -moz-hyphens: auto;
  hyphens: auto;
}

.info-box-1 {
  margin-top: 2rem;
}

.list-wrapper {
  padding: 20px 25px 25px 25px;
  margin-right: 20px;
  margin-left: 20px;
  border-radius: 5px;
  max-height: 82vh;
  overflow: auto;
}

#pagination {
  padding: 10px;
  display: flex;
  justify-content: center;
}

.page-link {
  background-color: #1bb8ec28;
  padding: 9px 14px 7px 14px;
  color: #000000;
  font-size: 11px;
}

.page-link:hover {
  background-color: $primary;
  color: #ffffff;
}

.page-link-active {
  background-color: #7350f2;
  padding: 9px 14px 7px 14px;
  color: #ffffff;
  font-size: 11px;
}

.reset-dialog {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.change {
  width: 25% !important;
}

.user-info {
  height: 41px;
  padding: 10px;
  margin-bottom: 0.5rem;
  border-bottom: 3px solid $primary;
}

.user-info-update {
  font-style: italic;
  color: #888;
}
body
  > div
  > div.customer-wrapper
  > div
  > div
  > div.coursListe
  > div
  > div.droite
  > ul
  > li,
#paginated-list
  > table
  > tbody
  > tr
  > td.event-text.event-descr.cache.no-wrapp
  > ul
  > li {
  list-style-type: "-";
}

nav li {
  list-style-type: none;
}

.user-info > p {
  margin: 0 auto;
  font-size: 12px;
}

.user-label {
  font-size: 14px;
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-family: $fontFamily;
}

.info-box-wrapper {
  margin-top: 0.7rem;
}

.box-btn-change {
  display: flex;
  flex-direction: column;
  margin-top: 1rem;
}

#landing-btn,
#password-btn,
#codeco {
  font-family: $title;
}

.pagination-container {
  width: calc(100% - 2rem);
  display: flex;
  align-items: center;
  padding-top: 1rem;
  justify-content: center;
}

.pagination-number,
.pagination-button {
  font-size: 1.1rem;
  background-color: transparent;
  border: none;
  margin: 0.25rem 0.25rem;
  cursor: pointer;
  height: 2.5rem;
  width: 2.5rem;
  border-radius: 0.2rem;
}

.pagination-number:hover,
.pagination-button:not(.disabled):hover {
  background: #fff;
}

.pagination-number.active {
  color: #fff;
  background: #7350f2;
}

.hidden {
  display: none;
}

body
  > div
  > div.customer-wrapper
  > div
  > div
  > div.coursListe
  > div
  > div.droite
  > ul,
#paginated-list > table > tbody > tr > td.event-text.event-descr.cache > ul {
  padding-left: 8px;
}

body
  > div
  > div.customer-wrapper
  > div
  > div
  > div.coursListe
  > div
  > div.droite
  > ul
  > li,
#paginated-list
  > table
  > tbody
  > tr
  > td.event-text.event-descr.cache
  > ul
  > li {
  padding-left: 0.4rem;
}
// ____________________Modal/Update____________________
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
}
.modal-list {
  display: none;
}
.modal-content {
  background-color: #fefefe;
  margin: 5% auto;
  padding: 20px;
  width: 80%;
  border-radius: 5px;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.update-entreprise {
  width: 40%;
}

.update-form {
  width: 40%;
}

.update-wrapper {
  display: flex;
}

.update {
  margin: 0 auto;
}

.update-action-wrapper {
  display: flex;
  justify-content: center;
}

.box-dual-btn {
  display: flex;
  margin-top: 1rem;
}

body > div > div.info-wrapper > div > div.box-btn-change > div:nth-child(2) {
  margin-top: 10px !important;
}
// ____________________Récuperation de compte____________________
.change-text {
  font-size: 17px;
}

.change-heading {
  font-size: 25px;
}

.form__group {
  position: relative;
  padding: 15px 0 0;
  margin-top: 10px;
  width: 100%;
}

.form__field {
  font-family: $fontFamily;
  width: 100%;
  border: 0;
  border-bottom: 2px solid $gray;
  outline: 0;
  font-size: 1.1rem;
  color: #222222;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;

  &::placeholder {
    color: transparent;
  }

  &:placeholder-shown ~ .form__label {
    cursor: text;
  }
}

.form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: $gray;
  font-family: $title;
}

.form__field:focus {
  ~ .form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: $primary;
  }
  padding-bottom: 6px;
  border-width: 3px;
  border-image: linear-gradient(to right, $primary, #7350f2);
  border-image-slice: 1;
}
.form__field {
  &:required,
  &:invalid {
    box-shadow: none;
  }
}
.full-container {
  display: flex;
}
.nom {
  font-family: $title;
}
.box {
  padding: 10px;
}
.sidenav {
  height: 100%;
  width: 300px;
  position: fixed;
  z-index: 1;
  top: 0;
  right: -300px;
  background-color: #fff;
  padding-top: 20px;
  transition: right 0.5s ease;
}

#closeBtn {
  font-size: 40px;
  color: #04bcf2;
}

.sidenav ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  margin-top: 2rem;
}

.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 22px;
  color: #333;
  display: block;
  transition: 0.3s;
}

.sidenav a:hover {
  color: #7350f2;
}

.sidenav.active {
  right: 0;
}

.sidenav .close {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
}

.burger-icon span {
  display: block;
  width: 35px;
  height: 3px;
  background-color: #04bcf2;
  margin: 6px 25px;
}

.minnav {
  display: none;
}

.sep {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
  font-size: 15px !important;
}
.gauche {
  margin-left: 15px;
}
.droite {
  margin-left: 25px;
}
@media (max-width: 980px) {
  .customer-wrapper {
    width: 67vw;
  }
}
@media (max-width: 836px) {
  .full-container {
    display: flex;
    flex-direction: column-reverse;
    height: auto;
  }
  h2 {
    font-size: 31px;
  }
  .customer-wrapper {
    min-width: 100vw;
  }
  .info-wrapper {
    width: initial;
    margin-top: 1rem;
    height: auto;
  }
  .list-wrapper {
    margin-right: 0 !important;
    margin-left: 0 !important;
  }
  .cache {
    display: none;
  }
  .minwrap {
    display: flex;
    justify-content: center;
    padding: 0;
    margin: 0;
  }
  .box-btn-change {
    width: 65% !important;
    margin: 0 auto;
    justify-content: center;
    align-items: end;
    padding-left: 30px;
  }
  .no-wrapp {
    font-size: 15px !important;
  }
  .gauche {
    padding-left: 0;
  }
  .droite {
    padding-right: 0;
    margin-left: px;
  }
  .box-dual-btn {
    display: block;
    margin-top: 1rem;
  }
  #password-btn {
    margin-left: 0 !important;
    margin-top: 10px;
  }
  #tabPasse {
    margin-left: 0 !important;
  }
  #codeco {
    margin-top: 10px;
    margin-left: 0 !important;
  }
}

@media (max-width: 777px) {
  .wrapper {
    width: 100%;
  }
  .fullnav {
    display: none;
  }
  .minnav {
    display: block;
  }
  .table-wrapper-data {
    display: block;
  }
}
@media (max-width: 530px) {
  #password-btn {
    margin-left: 10px !important;
    margin-top: 0 !important;
  }
  .box-dual-btn {
    display: flex;
    margin-top: 1rem;
  }
  .box-wrapper {
    display: block;
  }
  .box-btn-change {
    width: 100% !important;
    padding-left: 0 !important;
    align-items: center;
  }
  .minwrap {
    display: block;
    margin: 0;
  }
  .modal-tab {
    display: none;
  }
  .modal-list {
    display: inline-block;
    width: 100%;
  }
  .wrapper-list {
    display: flex;
    justify-content: space-evenly;
  }
  .wrapper-list-descr {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .nom {
    margin: 15px 0px 0px 0px;
    font-size: 17px !important;
  }
  .event-date {
    width: max-content !important;
    margin-bottom: 0;
  }
  .event-text {
    margin: 0;
  }
  #codeco {
    margin-top: 0;
    margin-left: 10px !important;
  }
  .btn-submit {
    width: 140px !important;
  }
  #codeco {
    width: 110px !important;
  }
}
@media (max-width: 444px) {
  .sep {
    display: block;
  }
  .droite {
    margin: 0;
  }
  .list-wrapper {
    margin: 0;
    padding: 15px;
  }
}
@media (max-width: 276px) {
  .action-wrapper {
    display: block;
  }
  .action-wrapper a,
  .action-wrapper button {
    width: 100%;
    padding-right: 0;
    padding-left: 0;
  }
}
